import { ThemeAstral } from "./sommeil/theme-astral.js";

/**
 * Extend the base Dialog entity by defining a custom window to perform roll.
 * @extends {Dialog}
 */
export class RdDAstrologieEditeur extends Dialog {

  /* -------------------------------------------- */
  constructor(html, calendrier, calendrierData) {
    let dialogConf = {
      title: "Editeur d'Astrologie",
      content: html,
      default: "fermer",
      buttons: {
        fermer: { label: "Fermer", callback: html => { } }
      }
    };
    let dialogOptions = {
      classes: ["rdd-roll-dialog"],
      width: 600,
      height: 'fit-content',
      'max-height': 800,
      'z-index': 99999
    }
    super(dialogConf, dialogOptions)

    this.calendrier = calendrier;
    this.updateData(calendrierData);
  }

  activateListeners(html) {
    super.activateListeners(html);
    this.html = html;
    this.html.find('[name="theme-astral"]').click(event => ThemeAstral.create());
    this.html.find('[name="reset-nombres-astraux"]').click(event => this.resetNombreAstraux());
  }


  /* -------------------------------------------- */
  async resetNombreAstraux() {
    game.system.rdd.calendrier.resetNombreAstral();
    await game.system.rdd.calendrier.rebuildListeNombreAstral();

    game.system.rdd.calendrier.showAstrologieEditor();
    this.close()
  }

  /* -------------------------------------------- */
  updateData(calendrierData) {
    this.calendrierData = duplicate(calendrierData);
  }

}
